# Interface VonageEvent

Vonage Events that can be listened to via the `on` method

interface VonageEvent {
callHangup: ((callId, callQuality, reason) => void);
callInvite: ((callId, from, channelType) => void);
callInviteCancel: ((callId, reason) => void);
callMediaDisconnect: ((callId, reason) => void);
callMediaError: ((callId, error) => void);
callMediaReconnecting: ((callId) => void);
callMediaReconnection: ((callId) => void);
callTransfer: ((callId, conversationId) => void);
conversationEvent: ((event) => void);
dtmf: ((callId, legId, digits) => void);
earmuff: ((callId, legId, earmuffStatus) => void);
emergencyCallDisconnected: ((callId) => void);
emergencyCallHangup: ((callId) => void);
legStatusUpdate: ((callId, legId, legStatus) => void);
mute: ((callId, legId, isMuted) => void);
peerConnectionCreated: ((callId, pc) => void);
reconnecting: (() => void);
reconnection: (() => void);
rtcStatsUpdate: ((stats, callId) => void);
sessionError: ((reason) => void);
}

#####
Index

### Properties

callHangup
callInvite
callInviteCancel
callMediaDisconnect
callMediaError
callMediaReconnecting
callMediaReconnection
callTransfer
conversationEvent
dtmf
earmuff
emergencyCallDisconnected
emergencyCallHangup
legStatusUpdate
mute
peerConnectionCreated
reconnecting
reconnection
rtcStatsUpdate
sessionError

## Properties

### callHangup

callHangup: ((callId, callQuality, reason) => void)

#### Type declaration

- - (callId, callQuality, reason): void

  - #### Parameters

    - callId: string
    - callQuality: RTCQualityJS
    - reason: HangupReason

    #### Returns void

### callInvite

callInvite: ((callId, from, channelType) => void)

#### Type declaration

- - (callId, from, channelType): void

  - #### Parameters

    - callId: string
    - from: string
    - channelType: VoiceChannelType

    #### Returns void

### callInviteCancel

callInviteCancel: ((callId, reason) => void)

#### Type declaration

- - (callId, reason): void

  - #### Parameters

    - callId: string
    - reason: CancelReason

    #### Returns void

### callMediaDisconnect

callMediaDisconnect: ((callId, reason) => void)

#### Type declaration

- - (callId, reason): void

  - #### Parameters

    - callId: string
    - reason: "networkChange"

    #### Returns void

### callMediaError

callMediaError: ((callId, error) => void)

#### Type declaration

- - (callId, error): void

  - #### Parameters

    - callId: string
    - error: VonageError

    #### Returns void

### callMediaReconnecting

callMediaReconnecting: ((callId) => void)

#### Type declaration

- - (callId): void

  - #### Parameters

    - callId: string

    #### Returns void

### callMediaReconnection

callMediaReconnection: ((callId) => void)

#### Type declaration

- - (callId): void

  - #### Parameters

    - callId: string

    #### Returns void

### callTransfer

callTransfer: ((callId, conversationId) => void)

#### Type declaration

- - (callId, conversationId): void

  - #### Parameters

    - callId: string
    - conversationId: string

    #### Returns void

### conversationEvent

conversationEvent: ((event) => void)

#### Type declaration

- - (event): void

  - #### Parameters

    - event: ConversationEvent

    #### Returns void

### dtmf

dtmf: ((callId, legId, digits) => void)

#### Type declaration

- - (callId, legId, digits): void

  - #### Parameters

    - callId: string
    - legId: string
    - digits: string

    #### Returns void

### earmuff

earmuff: ((callId, legId, earmuffStatus) => void)

#### Type declaration

- - (callId, legId, earmuffStatus): void

  - #### Parameters

    - callId: string
    - legId: string
    - earmuffStatus: boolean

    #### Returns void

### emergencyCallDisconnected

emergencyCallDisconnected: ((callId) => void)

#### Type declaration

- - (callId): void

  - #### Parameters

    - callId: string

    #### Returns void

### emergencyCallHangup

emergencyCallHangup: ((callId) => void)

#### Type declaration

- - (callId): void

  - #### Parameters

    - callId: string

    #### Returns void

### legStatusUpdate

legStatusUpdate: ((callId, legId, legStatus) => void)

#### Type declaration

- - (callId, legId, legStatus): void

  - #### Parameters

    - callId: string
    - legId: string
    - legStatus: LegStatus

    #### Returns void

### mute

mute: ((callId, legId, isMuted) => void)

#### Type declaration

- - (callId, legId, isMuted): void

  - #### Parameters

    - callId: string
    - legId: string
    - isMuted: boolean

    #### Returns void

### peerConnectionCreated

peerConnectionCreated: ((callId, pc) => void)

#### Type declaration

- - (callId, pc): void

  - #### Parameters

    - callId: null | string
    - pc: RTCPeerConnection

    #### Returns void

### reconnecting

reconnecting: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

### reconnection

reconnection: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

### rtcStatsUpdate

rtcStatsUpdate: ((stats, callId) => void)

#### Type declaration

- - (stats, callId): void

  - #### Parameters

    - stats: RTCStatsJS
    - callId: string

    #### Returns void

### sessionError

sessionError: ((reason) => void)

#### Type declaration

- - (reason): void

  - #### Parameters

    - reason: SessionErrorReason

    #### Returns void